# Be sure to restart your web server when you modify this file.

# Uncomment below to force Rails into production mode when 
# you don't control web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '1.1.6'

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence those specified here
  
  # Skip frameworks you're not going to use (only works if using vendor/rails)
  # config.frameworks -= [ :action_web_service, :action_mailer ]

  # Add additional load paths for your own custom dirs
  # config.load_paths += %W( #{RAILS_ROOT}/extras )

  # Force all environments to use the same logger level 
  # (by default production uses :info, the others :debug)
  # config.log_level = :debug

  # Use the database for sessions instead of the file system
  # (create the session table with 'rake db:sessions:create')
  # config.action_controller.session_store = :active_record_store

  # Use SQL instead of Active Record's schema dumper when creating the test database.
  # This is necessary if your schema can't be completely dumped by the schema dumper, 
  # like if you have constraints or database-specific column types
  # config.active_record.schema_format = :sql

  # Activate observers that should always be running
  # config.active_record.observers = :cacher, :garbage_collector

  # Make Active Record use UTC-base instead of local time
  config.active_record.default_timezone = :utc
  
  # See Rails::Configuration for more options
end

# Add new inflection rules using the following format 
# (all these examples are active by default):
# Inflector.inflections do |inflect|
#   inflect.plural /^(ox)$/i, '\1en'
#   inflect.singular /^(ox)en/i, '\1'
#   inflect.irregular 'person', 'people'
#   inflect.uncountable %w( fish sheep )
# end

MAIL_CONFIG = { :from => 'HyperChad <info@hyperchad.media.mit.edu>'} 

# Include your application configuration below
require 'uniq_token'
require 'randarray'
require 'rubyvote'

class String
  # alternate capitalization method that does not lowercase the rest of
  # the string -- which is almost never what I want
  def capitalize
    if self.length <= 1
      self.upcase
    else
      self.split(//)[0].upcase + self.split(//)[1..-1].join("")
    end
  end

  # capitalize each word in a string unless it is specialcased word
  def titlecase
    words = %w{a the in to for an}
    self.split.collect {|s| words.include?(s) ? s : s.capitalize }.join(" ")
  end
end

module LoginEngine
  config :salt, "voothingboat"
  config :email_from, MAIL_CONFIG[:from]
  config :admin_email, MAIL_CONFIG[:from]
  config :app_name, 'HyperChad'
  config :changeable_fields, []
  config :use_email_notification, true
  config :confirm_account, false
end
Engines.start :login

# action mailer configuration
ActionMailer::Base.delivery_method = :sendmail
ActionMailer::Base.default_charset = "utf-8"

